Subject: RE: FW: [Moderator Action] Questions on Webdav Servers, locking

From: "Yaron Goland (Exchange)" <[email-masked]>
Date: Fri, 6 Aug 1999 10:11:20 -0700

http://lists.w3.org/Archives/Public/w3c-dist-auth/1997JulSep/0177.html  is
the actual letter that caused the WG to decide that locks were lost on
moves.

		Yaron

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sun, July 25, 1999 7:58 AM
> To: [email-masked]
> Subject: Re: FW: [Moderator Action] Questions on Webdav 
> Servers, locking
> 
> 
> 
> Geoff wrote...
> > But a resource state lock acts very differently.  If you delete a
> > resource, the resource state lock should be deleted as well 
> (no state
> > left to lock).  This is what WebDAV says.  But if you MOVE 
> a resource,
> > you'd expect the resource state lock to remain in effect.  But here
> > WebDAV goes with the URL lock semantics and says that a MOVE deletes
> > the lock.
> 
> I sent a note a few months ago that brought up this and a few other
> locking problems.  I guess everyone was busy, because we didn't
> address that note.  Perhaps we should.
> 
> http://lists.w3.org/Archives/Public/w3c-dist-auth/1999AprJun/0246.html
> 
>